/*
 * Copyright (c) 2005 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* $LAAS$ */

#ifndef _GRIP_H
#define _GRIP_H

/* Device structure */
typedef struct GRIP_STR {
	int fd;			/* file descriptor */
} GRIP_STR;

/* Mapping of I/O pins to functions */

#define GRIP_INPUT_REGISTER CONTEC_DIO_INPUT_GROUP0
#define GRIP_OUTPUT_REGISTER CONTEC_DIO_OUTPUT_GROUP0

/* output register commands */
#define GRIP_CLOSE_COMMAND 0x01	/* O40 - B03 */
#define GRIP_STOP_COMMAND 0x02	/* O41 - B04 */
#define GRIP_SLOW_COMMAND 0x04  /* O42 - B05 */

/* input register bits */
#define GRIP_OPEN_INPUT 0x01	/* I00 - A03 */
#define GRIP_CLOSE_INPUT 0x02	/* I01 - A04 */
#define GRIP_STOP_INPUT 0x04	/* I02 - A05 */

/* prototypes */
extern GRIP_STR *jidogripInit(char *);
extern void jidogripEnd(GRIP_STR *);
extern unsigned int jidogripStatus(GRIP_STR *);
extern int jidogripOpen(GRIP_STR *);
extern int jidogripClose(GRIP_STR *);
extern int jidogripStart(GRIP_STR *);
extern int jidogripStop(GRIP_STR *);
extern int jidogripSlow(GRIP_STR *);
extern int jidogripFast(GRIP_STR *);

#endif /* _GRIP_H */
